"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/cache.tsx
var cache_exports = {};
__export(cache_exports, {
  EmotionCacheInjectionSymbol: () => EmotionCacheInjectionSymbol,
  EmotionCacheProvider: () => EmotionCacheProvider,
  __unusafe_useEmotionCache: () => __unusafe_useEmotionCache,
  createCache: () => createCache,
  defaultCache: () => defaultCache,
  withEmotionCache: () => withEmotionCache
});
module.exports = __toCommonJS(cache_exports);
var import_cache = __toESM(require("@emotion/cache"));
var import_vue_utils = require("@chakra-ui/vue-utils");
function createCache(...args) {
  return typeof import_cache.default === "function" ? (0, import_cache.default)(...args) : import_cache.default.default(...args) ? import_cache.default.default(...args) : (0, import_cache.default)(...args);
}
__name(createCache, "createCache");
var [EmotionCacheProvider, useEmotionCache, EmotionCacheInjectionSymbol] = (0, import_vue_utils.createContext)({
  strict: false,
  name: "EmotionCacheContext"
});
var defaultCache = createCache({
  key: "chakra"
});
var __unusafe_useEmotionCache = useEmotionCache;
var withEmotionCache = /* @__PURE__ */ __name(function withEmotionCache2(fn) {
  return (p) => {
    const cache = useEmotionCache(defaultCache);
    return fn(cache);
  };
}, "withEmotionCache");
if ((0, import_vue_utils.canUseDOM)()) {
  withEmotionCache = /* @__PURE__ */ __name(function withEmotionCache3(fn) {
    return () => {
      const cache = useEmotionCache(defaultCache);
      if (!cache) {
        const cache2 = createCache({
          key: "chakra"
        });
        EmotionCacheProvider(cache2);
        return fn(cache2);
      } else {
        return fn(cache);
      }
    };
  }, "withEmotionCache");
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  EmotionCacheInjectionSymbol,
  EmotionCacheProvider,
  __unusafe_useEmotionCache,
  createCache,
  defaultCache,
  withEmotionCache
});
